<script>
  import { decode } from '@indicjs/katapayadi';

  let encoded = '';
  let reverse = false;
  $: decoded = decode(encoded, { reverse });
</script>
<svelte:head>
	<title>Katapayadi</title>
</svelte:head>

<h1>Katapayadi</h1>

<label class="siimple-label siimple--color-white">Reverse output</label>
<input type="checkbox" bind:checked={reverse} class="siimple-input"/>
<main>
	<textarea rows=20 cols=60 placeholder="Enter encoded text here" bind:value={encoded} class="siimple-textarea"></textarea>
	<textarea rows=20 cols=60 placeholder="Unicode Text will appear here" bind:value={decoded} class="siimple-textarea"></textarea>
</main>
<style>
	main {
		margin-top: 1em;
		display: flex;
		justify-content: space-between;
		flex-wrap: wrap;
	}
	textarea {
		width: 48%;
	}
</style>